apply plugin: plugin.android
apply plugin: plugin.andServer

android {
    compileSdkVersion androidBuild.compileSdkVersion

    defaultConfig {
        applicationId androidBuild.applicationId
        minSdkVersion androidBuild.sampleMinSdkVersion
        targetSdkVersion androidBuild.sampleTargetSdkVersion
        versionCode 1
        versionName POM_VERSION
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation project(':api')
    annotationProcessor project(':processor')

    implementation deps.android.material
    implementation deps.android.compat

    implementation deps.apache.lang
    implementation deps.apache.collections

    implementation deps.loading
    implementation deps.json

    implementation project(path :':megablelibopen')
    implementation project(path:':ecg')
    implementation project(path:':signalproc-release')

    // https://mvnrepository.com/artifact/io.reactivex.rxjava2/rxjava
    implementation 'io.reactivex.rxjava2:rxjava:2.2.21'
    // https://mvnrepository.com/artifact/io.reactivex.rxjava2/rxandroid
    implementation 'io.reactivex.rxjava2:rxandroid:2.0.1'
    // https://mvnrepository.com/artifact/org.apache.commons/commons-lang3
    implementation 'org.apache.commons:commons-lang3:3.12.0'
    // https://mvnrepository.com/artifact/javax.validation/validation-api
    implementation 'javax.validation:validation-api:2.0.1.Final'
    // https://mvnrepository.com/artifact/org.java-websocket/Java-WebSocket
    implementation 'org.java-websocket:Java-WebSocket:1.5.3'
    implementation 'com.github.hijesse:android-logger:2.5.0'

}